package ei.game.scene.map;

import ei.engine.math.Vector2f;
import ei.engine.math.Vector2i;
import ei.engine.sound.Sound;
import ei.game.player.Player;
import ei.game.scene.SelectBox;
import ei.game.scene.units.Unit;
import ei.game.scene.weapons.Weapon;

public abstract class MapEntity extends Unit{

	public MapEntity(int l, Vector2i pos, Player p) {
		super(l, pos, p);
	}

	public void update() {		
		if(getLife()<=0) {
			remove();
		}
	}
	
	public void move(boolean play, int x, int y){
	}
	
	public void attack(Vector2i target, boolean play) {
	}
	
	public boolean isTerrain(){
		return true;
	}
	
	protected void move(int x, int y, boolean b) {}
	
	public void setSelected(Player p, boolean b) {}
	
	public void setMouseOver(Player p, boolean b) {}
	
	@Override
	public float getVelocity() {
		return 0;
	}

	@Override
	public Weapon getWeapon(Vector2f startPos) {
		return null;
	}

	@Override
	public void destroyed() {
		
	}

	@Override
	protected SelectBox getSelection() {
		return null;
	}
	
	@Override
	public Sound getGunSound() {
		return null;
	}

	@Override
	public Sound getAttackSound() {
		return null;
	}
	
	@Override
	public Sound getMoveSound() {
		return null;
	}

	@Override
	public Sound getSelectSound() {
		return null;
	}
}
